Template metaprogramming classes

## Data Structures

struct | dim_traits< T >
| A trait to obtaine information about of dimensions of a class. More...
class | FactoryTrait< T >
| Type trait to enable the use of a factory product as command line option. More...
class | FactoryTrait< std::shared_ptr< T > >
| Type trait to enable the use of a factory product as command line option. More...
struct | multiply< T2DImage< T > >
struct | NDVectorIOcvd< T >
| Structure to read and write ND vectors to and from cvd files. More...
struct | vector_dimsize
| Structure to enable the use of the dim_traits class for std::vector. More...

## Macros

#define | FACTORY_TRAIT(F)

## Detailed Description

## Macro Definition Documentation

## FACTORY_TRAIT

#define FACTORY_TRAIT | ( |  | F | ) |

Value:
template <> \
class FactoryTrait< F::Instance::ProductPtr::element_type > { \
public: \
typedef F type; \
};
FactoryTrait
Type trait to enable the use of a factory product as command line option.
Definition factory_trait.hh:43

Specialize the FactoryTrait template for the given TFactoryPluginHandler

Definition at line 69 of file factory_trait.hh.

Referenced by FACTORY_TRAIT(), and FACTORY_TRAIT().